summaryrefslogtreecommitdiff
path: root/net-p2p/verlihub
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /net-p2p/verlihub
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'net-p2p/verlihub')
-rw-r--r--net-p2p/verlihub/Manifest2
-rw-r--r--net-p2p/verlihub/verlihub-0.9.8d_rc2.ebuild100
2 files changed, 102 insertions, 0 deletions
diff --git a/net-p2p/verlihub/Manifest b/net-p2p/verlihub/Manifest
new file mode 100644
index 0000000..245932f
--- /dev/null
+++ b/net-p2p/verlihub/Manifest
@@ -0,0 +1,2 @@
+DIST verlihub-0.9.8d-RC2.tar.gz 1087314 RMD160 723ad7e1c84425635098e745156042f19895bffa SHA1 82750e82ee83e697e1cfa79bb58b2c087b3f4e04 SHA256 295424abc986d256e998d565fa28729083cf762460317def43de59e58ba297df
+EBUILD verlihub-0.9.8d_rc2.ebuild 2778 RMD160 4920f6fb3bf4c6bfdcc507f9afe0bb5d39bd7e5c SHA1 87d555523aaa84ca34b3dcd13e0181ca2b4842c0 SHA256 e10fc08073b37770ec123468c861d1734ecb634fa01728f07e7d3e1b4a42e215
diff --git a/net-p2p/verlihub/verlihub-0.9.8d_rc2.ebuild b/net-p2p/verlihub/verlihub-0.9.8d_rc2.ebuild
new file mode 100644
index 0000000..013c533
--- /dev/null
+++ b/net-p2p/verlihub/verlihub-0.9.8d_rc2.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="Verlihub, a linux hub for the p2p program 'direct connect'"
+HOMEPAGE="http://www.verlihub-project.org"
+SRC_URI="http://umn.dl.sourceforge.net/sourceforge/verlihub/${PN}-0.9.8d-RC2.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86-fbsd x86"
+DEPEND="dev-libs/libpcre
+ dev-libs/geoip
+ >=dev-db/mysql-4.0.20
+ sys-libs/zlib"
+IUSE="lua50 lua51 floodprot iplog forbid funny messanger chatroom isp replacer stats p_perl hublink"
+PDEPEND=" lua50? ( net-libs/lua50 )
+ lua51? ( net-libs/lua51 )
+ floodport? ( net-libs/floodprot )
+ iplog? ( net-libs/iplog )
+ forbid? ( net-libs/forbid )
+ funny? ( net-libs/funny )
+ messanger? ( net-libs/messanger )
+ chatroom? ( net-libs/chatroom )
+ isp? ( net-libs/isp )
+ replacer? ( net-libs/replacer )
+ stats? ( net-libs/stats )
+ p_perl? ( net-libs/perl )
+ hublink? ( net-libs/hublink )"
+
+S=${WORKDIR}/${PN}
+
+src_unpack() {
+ unpack "${PN}-0.9.8d-RC2.tar.gz"
+ cd "${S}"
+}
+src_compile() {
+ econf || die
+ emake || die "Make failed for problems or bugs please visit http://forums.verlihub-project.org/"
+}
+
+src_install() {
+ make DESTDIR=${D} install || die
+
+ dohtml docs/*.html
+
+ docinto "scripts"
+
+ dodoc \
+ scripts/ccgraph \
+ scripts/import_reglist_0.9.x_to_0.9.8b.sql \
+ scripts/install \
+ scripts/regnick \
+ scripts/runhub \
+ scripts/setenv \
+ scripts/trigger \
+ scripts/vh_runhub.in
+
+ docinto ""
+ dodoc \
+ AUTHORS \
+ COPYING \
+ ChangeLog \
+ INSTALL \
+ NEWS \
+ README \
+ TODO \
+ docs/configuring.txt \
+ docs/help \
+ docs/help.sql \
+ docs/ascii \
+ docs/params.php \
+ docs/using.txt
+}
+
+pkg_postinst() {
+ echo
+ ewarn "Do NOT report bugs to Gentoo's bugzilla"
+ einfo "Please report all bugs to http://forums.verlihubproject.org"
+ einfo "Verlihub-project team"
+
+ if [[ -f "/etc/verlihub/dbconfig" ]]
+ then
+ einfo "Verlihub is already configured in /etc/verlihub"
+ else
+ ewarn "You MUST configure verlihub before starting it:"
+ ewarn "emerge --config =${CATEGORY}/${PF}"
+ ewarn "That way you can [re]configure your verlihub setup"
+ fi
+}
+
+pkg_config() {
+ ewarn "Configuring verlihub"
+ /usr/bin/vh_install
+ if [[ -f "/etc/verlihub/dbconfig" ]]
+ then
+ ewarn "Configuration completed"
+ else
+ ewarn "You haven't configured verlihub succesfully. Please try again"
+ fi
+}